Debian Bug report logs - #202762
[PR 11717] [3.3 regression] [alpha] unrecognizable insn compiling for.c of kernel 2.4.22-pre8

version graph

Package: gcc-3.3; Maintainer for gcc-3.3 is Philipp Kern <pkern@debian.org>;

Reported by: root <romosan@caliban.lbl.gov>

Date: Thu, 24 Jul 2003 23:33:01 UTC

Severity: normal

Tags: upstream

Found in version 1:3.3.1-0rc1

Fixed in version gcc-3.3/1:3.3.2ds3-0pre5

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR11717

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to root <romosan@caliban.lbl.gov>:
New Bug report received and forwarded. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: root <romosan@caliban.lbl.gov>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Thu, 24 Jul 2003 16:20:40 -0700
Package: gcc-3.3
Version: 1:3.3.1-0rc1
Severity: normal

trying to compile kernel 2.4.22-pre8 on alpha i get:

fork.c: In function `dup_mmap':
fork.c:144: error: unrecognizable insn:
(insn 59 52 61 0 0x20000ce7760 (set (reg/f:DI 82)
        (symbol_ref:DI ("@Smmlist_nr"))) -1 (nil)
    (expr_list:REG_EQUAL (symbol_ref:DI ("@Smmlist_nr"))
            (nil)))
    fork.c:144: internal compiler error: in
    extract_insn, at recog.c:2175
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
make[3]: *** [fork.o] Error 1

-- System Information:
Debian Release: testing/unstable
Architecture: alpha
Kernel: Linux online06 2.4.22-pre7 #18 Wed Jul 23 17:59:13 PDT 2003 alpha
Locale: LANG=C, LC_CTYPE=C

Versions of packages gcc-3.3 depends on:
ii  binutils                 2.14.90.0.5-0.1 The GNU assembler, linker and bina
ii  cpp-3.3                  1:3.3.1-0rc1    The GNU C preprocessor
ii  gcc-3.3-base             1:3.3.1-0rc1    The GNU Compiler Collection (base 
ii  libc6.1                  2.3.1-17        GNU C Library: Shared libraries an
ii  libgcc1                  1:3.3.1-0rc1    GCC support library

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 202762@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: root <romosan@caliban.lbl.gov>, 202762@bugs.debian.org
Cc: debian-alpha@lists.debian.org
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Fri, 25 Jul 2003 08:29:34 +0200
root writes:
> Package: gcc-3.3
> Version: 1:3.3.1-0rc1
> Severity: normal
> 
> trying to compile kernel 2.4.22-pre8 on alpha i get:
> 
> fork.c: In function `dup_mmap':
> fork.c:144: error: unrecognizable insn:
> (insn 59 52 61 0 0x20000ce7760 (set (reg/f:DI 82)
>         (symbol_ref:DI ("@Smmlist_nr"))) -1 (nil)
>     (expr_list:REG_EQUAL (symbol_ref:DI ("@Smmlist_nr"))
>             (nil)))
>     fork.c:144: internal compiler error: in
>     extract_insn, at recog.c:2175
> Please submit a full bug report,
> with preprocessed source if appropriate.
> See <URL:http://gcc.gnu.org/bugs.html> for instructions.

please the bug reporting instructions: "with preprocessed source if
appropriate".

and you are missing the command line.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 202762@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Alex Romosan <romosan@caliban.lbl.gov>
Cc: 202762@bugs.debian.org
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Tue, 29 Jul 2003 23:11:20 +0200
Alex Romosan writes:
> Matthias Klose <doko@cs.tu-berlin.de> writes:
> 
> > please the bug reporting instructions: "with preprocessed source if
> > appropriate".
> 
> we are talking here about the kernel source. it's in linux/kernel/fork.c

is there a real problem for you sending the preprocessed source?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Alex Romosan <romosan@caliban.lbl.gov>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 202762@bugs.debian.org (full text, mbox):

From: Alex Romosan <romosan@caliban.lbl.gov>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: 202762@bugs.debian.org
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Tue, 29 Jul 2003 14:20:18 -0700
[Message part 1 (text/plain, inline)]
Matthias Klose <doko@cs.tu-berlin.de> writes:

> Alex Romosan writes:
>> Matthias Klose <doko@cs.tu-berlin.de> writes:
>> 
>> > please the bug reporting instructions: "with preprocessed source if
>> > appropriate".
>> 
>> we are talking here about the kernel source. it's in linux/kernel/fork.c
>
> is there a real problem for you sending the preprocessed source?

other than being kind of large and thinking that anybody can get it,
not really. here it is (compiled with gcc 3.3.1-0rc2 as of today).

[fork-save-temps.tar.gz (application/octet-stream, attachment)]
[Message part 3 (text/plain, inline)]
--alex--

-- 
| I believe the moment is at hand when, by a paranoiac and active |
|  advance of the mind, it will be possible (simultaneously with  |
|  automatism and other passive states) to systematize confusion  |
|  and thus to help to discredit completely the world of reality. |

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 202762@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Alex Romosan <romosan@caliban.lbl.gov>, 202762@bugs.debian.org
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Tue, 29 Jul 2003 23:30:39 +0200
Alex Romosan writes:
> Matthias Klose <doko@cs.tu-berlin.de> writes:
> 
> > Alex Romosan writes:
> >> Matthias Klose <doko@cs.tu-berlin.de> writes:
> >> 
> >> > please the bug reporting instructions: "with preprocessed source if
> >> > appropriate".
> >> 
> >> we are talking here about the kernel source. it's in linux/kernel/fork.c
> >
> > is there a real problem for you sending the preprocessed source?
> 
> other than being kind of large and thinking that anybody can get it,
> not really.

thanks for your generosity. it took you a few seconds, it would take
me much longer to get the prerequisites and the kernel installed on an
alpha machine, which I do not own.

> here it is (compiled with gcc 3.3.1-0rc2 as of today).

one more question: does the preprocessed source compile with a)
gcc-3.2, b) gcc-snapshot?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Phil Edwards <phil@jaj.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 202762@bugs.debian.org (full text, mbox):

From: Phil Edwards <phil@jaj.com>
To: Alex Romosan <romosan@caliban.lbl.gov>, 202762@bugs.debian.org
Cc: Matthias Klose <doko@cs.tu-berlin.de>
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Tue, 29 Jul 2003 17:39:04 -0400
On Tue, Jul 29, 2003 at 02:20:18PM -0700, Alex Romosan wrote:
> Matthias Klose <doko@cs.tu-berlin.de> writes:
> > Alex Romosan writes:
> >> Matthias Klose <doko@cs.tu-berlin.de> writes:
> >> 
> >> > please the bug reporting instructions: "with preprocessed source if
> >> > appropriate".
> >> 
> >> we are talking here about the kernel source. it's in linux/kernel/fork.c
> >
> > is there a real problem for you sending the preprocessed source?
> 
> other than being kind of large and thinking that anybody can get it,

No we can't.

I can get fork.c.  I cannot get the result of preprocessing fork.c unless I
have an Alpha.


Phil

-- 
If ye love wealth greater than liberty, the tranquility of servitude greater
than the animating contest for freedom, go home and leave us in peace.  We seek
not your counsel, nor your arms.  Crouch down and lick the hand that feeds you;
and may posterity forget that ye were our countrymen.            - Samuel Adams



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Alex Romosan <romosan@caliban.lbl.gov>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 202762@bugs.debian.org (full text, mbox):

From: Alex Romosan <romosan@caliban.lbl.gov>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: 202762@bugs.debian.org
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Tue, 29 Jul 2003 14:40:53 -0700
Matthias Klose <doko@cs.tu-berlin.de> writes:

> Alex Romosan writes:
>> Matthias Klose <doko@cs.tu-berlin.de> writes:
>> 
>> > Alex Romosan writes:
>> >> Matthias Klose <doko@cs.tu-berlin.de> writes:
>> >> 
>> >> > please the bug reporting instructions: "with preprocessed source if
>> >> > appropriate".
>> >> 
>> >> we are talking here about the kernel source. it's in linux/kernel/fork.c
>> >
>> > is there a real problem for you sending the preprocessed source?
>> 
>> other than being kind of large and thinking that anybody can get it,
>> not really.
>
> thanks for your generosity. 

no need to be facetious....

> it took you a few seconds, it would take me much longer to get the
> prerequisites and the kernel installed on an alpha machine, which I
> do not own.

there are alpha machines available to debian developers...

> one more question: does the preprocessed source compile with a)
> gcc-3.2, b) gcc-snapshot?

compiles with gcc-3.2.
compiles with /usr/lib/gcc-snapshot/bin/gcc (from gcc-snapshot)

--alex--

-- 
| I believe the moment is at hand when, by a paranoiac and active |
|  advance of the mind, it will be possible (simultaneously with  |
|  automatism and other passive states) to systematize confusion  |
|  and thus to help to discredit completely the world of reality. |



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Alex Romosan <romosan@caliban.lbl.gov>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 202762@bugs.debian.org (full text, mbox):

From: Alex Romosan <romosan@caliban.lbl.gov>
To: Phil Edwards <phil@jaj.com>
Cc: 202762@bugs.debian.org, Matthias Klose <doko@cs.tu-berlin.de>
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Tue, 29 Jul 2003 14:49:12 -0700
Phil Edwards <phil@jaj.com> writes:

> I can get fork.c. I cannot get the result of preprocessing fork.c
> unless I have an Alpha.

i guess you are really testing the compilers for all architectures
then :-( you broke building the kernel on a sparc for about half a
year before reverting to gcc 3.2 as the default, now you are fucking
up the alpha build (and you don't even bother to test it).

if you go to http://db.debian.org/machines.cgi you'll find a list of
all the machines available to debian developers. escher.debian.org,
faure.debian.org, lully.debian.org are all alpha machines so it looks
like you _do_ have an alpha available.

myabe in the future you should test the compiler on those machines as
well before inflicting it on everybody else (not everybody uses i386).

--alex--

-- 
| I believe the moment is at hand when, by a paranoiac and active |
|  advance of the mind, it will be possible (simultaneously with  |
|  automatism and other passive states) to systematize confusion  |
|  and thus to help to discredit completely the world of reality. |



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Phil Edwards <phil@jaj.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 202762@bugs.debian.org (full text, mbox):

From: Phil Edwards <phil@jaj.com>
To: Alex Romosan <romosan@caliban.lbl.gov>
Cc: 202762@bugs.debian.org, Matthias Klose <doko@cs.tu-berlin.de>
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Tue, 29 Jul 2003 18:01:15 -0400
On Tue, Jul 29, 2003 at 02:49:12PM -0700, Alex Romosan wrote:
> if you go to http://db.debian.org/machines.cgi you'll find a list of
> all the machines available to debian developers. escher.debian.org,
> faure.debian.org, lully.debian.org are all alpha machines so it looks
> like you _do_ have an alpha available.

I am not a Debian developer.  I am a GCC developer.  If you want GCC's
help to debug problems, you need to fulfill GCC's requirements, namely,
"send us preprocessed code."


> myabe in the future you should test the compiler on those machines as
> well before inflicting it on everybody else (not everybody uses i386).

Oh, whatever.

    http://gcc.gnu.org/gcc-3.3/buildstat.html


-- 
If ye love wealth greater than liberty, the tranquility of servitude greater
than the animating contest for freedom, go home and leave us in peace.  We seek
not your counsel, nor your arms.  Crouch down and lick the hand that feeds you;
and may posterity forget that ye were our countrymen.            - Samuel Adams



Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR11717. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to doko@debian.org:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #56 received at 202762-quiet@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@net.local>
To: control@bugs.debian.org
Cc: 202762-quiet@bugs.debian.org
Subject: gcc: submitted Debian report #202762 to gcc-gnats as PR 11717
Date: Tue, 29 Jul 2003 23:57:11 +0200
# submitted Debian report #202762 to gcc-gnats as PR 11717
# http://gcc.gnu.org/PR11717

forwarded 202762 http://gcc.gnu.org/PR11717
retitle 202762 [PR 11717] [3.3 regression] [alpha] unrecognizable insn compiling for.c of kernel 2.4.22-pre8
tags 202762 + upstream
thanks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Alex Romosan <romosan@caliban.lbl.gov>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #61 received at 202762@bugs.debian.org (full text, mbox):

From: Alex Romosan <romosan@caliban.lbl.gov>
To: Phil Edwards <phil@jaj.com>
Cc: 202762@bugs.debian.org, Matthias Klose <doko@cs.tu-berlin.de>
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Tue, 29 Jul 2003 15:04:17 -0700
Phil Edwards <phil@jaj.com> writes:

> I am not a Debian developer.  I am a GCC developer.  If you want GCC's
> help to debug problems, you need to fulfill GCC's requirements, namely,
> "send us preprocessed code."

i am so sorry. the rant was meant for the debian developers only. i
filed a bug against gcc in debian not gcc in general. please accept my
apologies.

--alex--

-- 
| I believe the moment is at hand when, by a paranoiac and active |
|  advance of the mind, it will be possible (simultaneously with  |
|  automatism and other passive states) to systematize confusion  |
|  and thus to help to discredit completely the world of reality. |



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #66 received at 202762@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Alex Romosan <romosan@caliban.lbl.gov>
Cc: Phil Edwards <phil@jaj.com>, 202762@bugs.debian.org
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Wed, 30 Jul 2003 00:29:04 +0200
Alex Romosan writes:
> Phil Edwards <phil@jaj.com> writes:
> 
> > I can get fork.c. I cannot get the result of preprocessing fork.c
> > unless I have an Alpha.
> 
> i guess you are really testing the compilers for all architectures
> then :-( you broke building the kernel on a sparc for about half a
> year before reverting to gcc 3.2 as the default, now you are fucking
> up the alpha build (and you don't even bother to test it).

your claims are as accurate as your bug reports.

  * Make gcc-3.3 the default C compiler (Thu, 15 May 2003 20:46:56 +0200)
  * Bump sparc back down to 3.2 (Wed,  4 Jun 2003 11:39:53 -0400)

> if you go to http://db.debian.org/machines.cgi you'll find a list of
> all the machines available to debian developers. escher.debian.org,
> faure.debian.org, lully.debian.org are all alpha machines so it looks
> like you _do_ have an alpha available.
> 
> myabe in the future you should test the compiler on those machines as
> well before inflicting it on everybody else (not everybody uses i386).

thanks for your offer to bundle a testing package for the toolchain
consisting of binutils, glibc and gcc to check the most critical
packages and applications and to regularily run this test on all
platforms, looking at the results and submitting appropriate patches.

if you don't accept toolchain bugs, stay away from unstable and
testing. if you want to help the projects, help with your time and
knowledge.

	Matthias



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Alex Romosan <romosan@caliban.lbl.gov>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #71 received at 202762@bugs.debian.org (full text, mbox):

From: Alex Romosan <romosan@caliban.lbl.gov>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: Phil Edwards <phil@jaj.com>, 202762@bugs.debian.org
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Tue, 29 Jul 2003 15:42:30 -0700
Matthias Klose <doko@cs.tu-berlin.de> writes:

> your claims are as accurate as your bug reports.
>
>   * Make gcc-3.3 the default C compiler (Thu, 15 May 2003 20:46:56 +0200)
>   * Bump sparc back down to 3.2 (Wed,  4 Jun 2003 11:39:53 -0400)

gcc-3.2-pre broke at the beginning of 2003 for compiling the kernel on
sparc32. it got fixed at some point along the way but debian switched
to gcc-3.3-pre even before there was a gcc-3.2 final. you are telling
me you managed to compile a working kernel on a sparc32 around let's
say april of this year?

> if you don't accept toolchain bugs, stay away from unstable and
> testing. if you want to help the projects, help with your time and
> knowledge.

we've had this discussion before (on may 2 to be precise), you little
twerp. i accept bugs in general (and i've been using unstable now for
about 8 years). i find it harder to deal with breaking _essential_
packages like gcc. got it?

--alex--

-- 
| I believe the moment is at hand when, by a paranoiac and active |
|  advance of the mind, it will be possible (simultaneously with  |
|  automatism and other passive states) to systematize confusion  |
|  and thus to help to discredit completely the world of reality. |



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Phil Edwards <phil@jaj.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #76 received at 202762@bugs.debian.org (full text, mbox):

From: Phil Edwards <phil@jaj.com>
To: Alex Romosan <romosan@caliban.lbl.gov>
Cc: Matthias Klose <doko@cs.tu-berlin.de>, 202762@bugs.debian.org
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Tue, 29 Jul 2003 18:49:51 -0400
On Tue, Jul 29, 2003 at 03:42:30PM -0700, Alex Romosan wrote:
> Matthias Klose <doko@cs.tu-berlin.de> writes:
> 
> > if you don't accept toolchain bugs, stay away from unstable and
> > testing. if you want to help the projects, help with your time and
> > knowledge.
> 
> we've had this discussion before (on may 2 to be precise), you little
> twerp. i accept bugs in general (and i've been using unstable now for
> about 8 years). i find it harder to deal with breaking _essential_
> packages like gcc. got it?

Incredible.  Matthias contributes more time and energy to the gcc packages
than anyone else I know at Debian.  And it's standard accepted knowledge
that the unstable branch will have bugs, and that those bugs will remain
present until a volunteer steps forward ti fix them.

And yet you manage to refute them all with an immature personal attack.
I didn't realize they were hiring children at LBL.

If you want bugs on the unstable branch fixed, then /help/.  Don't bitch.
Don't whine.  Don't complain.  HELP.  (In this case, reproduce the bug
and find the patch that introduced the bug.)

Got it?

-- 
If ye love wealth greater than liberty, the tranquility of servitude greater
than the animating contest for freedom, go home and leave us in peace.  We seek
not your counsel, nor your arms.  Crouch down and lick the hand that feeds you;
and may posterity forget that ye were our countrymen.            - Samuel Adams



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#202762; Package gcc-3.3. Full text and rfc822 format available.

Acknowledgement sent to Alex Romosan <romosan@caliban.lbl.gov>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #81 received at 202762@bugs.debian.org (full text, mbox):

From: Alex Romosan <romosan@caliban.lbl.gov>
To: Phil Edwards <phil@jaj.com>
Cc: Matthias Klose <doko@cs.tu-berlin.de>, 202762@bugs.debian.org
Subject: Re: Bug#202762: gcc-3.3: fails to compile kernel 2.4.22-pre8 on alpha
Date: Tue, 29 Jul 2003 15:59:25 -0700
Phil Edwards <phil@jaj.com> writes:

> If you want bugs on the unstable branch fixed, then /help/. Don't
> bitch. Don't whine. Don't complain. HELP. (In this case, reproduce
> the bug and find the patch that introduced the bug.)

i don't want a development branch of gcc to be made the default
compiler for debian (even if it's the unstable distribution). i
thought that's what the gcc-snapshot package was supposed to be. i am
trying to help, but i am getting pissed off when i can't get my work
done (even if it's only children's play because that's what we do here
at lbl) because gcc is broken.

anyway, you guys have fun.

--alex--

-- 
| I believe the moment is at hand when, by a paranoiac and active |
|  advance of the mind, it will be possible (simultaneously with  |
|  automatism and other passive states) to systematize confusion  |
|  and thus to help to discredit completely the world of reality. |



Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to root <romosan@caliban.lbl.gov>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #86 received at 202762-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 202762-close@bugs.debian.org
Subject: Bug#202762: fixed in gcc-3.3 1:3.3.2ds3-0pre5
Date: Mon, 06 Oct 2003 02:32:50 -0400
Source: gcc-3.3
Source-Version: 1:3.3.2ds3-0pre5

We believe that the bug you reported is fixed in the latest version of
gcc-3.3, which is due to be installed in the Debian FTP archive:

cpp-3.3-doc_3.3.2-0pre5_all.deb
  to pool/main/g/gcc-3.3/cpp-3.3-doc_3.3.2-0pre5_all.deb
cpp-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/cpp-3.3_3.3.2-0pre5_i386.deb
fastjar_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/fastjar_3.3.2-0pre5_i386.deb
fixincludes_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/fixincludes_3.3.2-0pre5_i386.deb
g++-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/g++-3.3_3.3.2-0pre5_i386.deb
g77-3.3-doc_3.3.2-0pre5_all.deb
  to pool/main/g/gcc-3.3/g77-3.3-doc_3.3.2-0pre5_all.deb
g77-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/g77-3.3_3.3.2-0pre5_i386.deb
gcc-3.3-base_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3-base_3.3.2-0pre5_i386.deb
gcc-3.3-doc_3.3.2-0pre5_all.deb
  to pool/main/g/gcc-3.3/gcc-3.3-doc_3.3.2-0pre5_all.deb
gcc-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.2-0pre5_i386.deb
gcc-3.3_3.3.2ds3-0pre5.diff.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.2ds3-0pre5.diff.gz
gcc-3.3_3.3.2ds3-0pre5.dsc
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.2ds3-0pre5.dsc
gcc-3.3_3.3.2ds3.orig.tar.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.2ds3.orig.tar.gz
gcj-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gcj-3.3_3.3.2-0pre5_i386.deb
gij-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gij-3.3_3.3.2-0pre5_i386.deb
gnat-3.3-doc_3.3.2-0pre5_all.deb
  to pool/main/g/gcc-3.3/gnat-3.3-doc_3.3.2-0pre5_all.deb
gnat-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gnat-3.3_3.3.2-0pre5_i386.deb
gobjc-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gobjc-3.3_3.3.2-0pre5_i386.deb
gpc-2.1-3.3-doc_3.3.2.20030830-0pre5_all.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3-doc_3.3.2.20030830-0pre5_all.deb
gpc-2.1-3.3_3.3.2.20030830-0pre5_i386.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3_3.3.2.20030830-0pre5_i386.deb
libffi2-dev_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libffi2-dev_3.3.2-0pre5_i386.deb
libffi2_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libffi2_3.3.2-0pre5_i386.deb
libg2c0_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libg2c0_3.3.2-0pre5_i386.deb
libgcc1_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libgcc1_3.3.2-0pre5_i386.deb
libgcj-common_3.3.2-0pre5_all.deb
  to pool/main/g/gcc-3.3/libgcj-common_3.3.2-0pre5_all.deb
libgcj4-dev_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libgcj4-dev_3.3.2-0pre5_i386.deb
libgcj4_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libgcj4_3.3.2-0pre5_i386.deb
libobjc1_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libobjc1_3.3.2-0pre5_i386.deb
libstdc++5-3.3-dbg_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dbg_3.3.2-0pre5_i386.deb
libstdc++5-3.3-dev_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dev_3.3.2-0pre5_i386.deb
libstdc++5-3.3-doc_3.3.2-0pre5_all.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-doc_3.3.2-0pre5_all.deb
libstdc++5-3.3-pic_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-pic_3.3.2-0pre5_i386.deb
libstdc++5_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5_3.3.2-0pre5_i386.deb
protoize_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/protoize_3.3.2-0pre5_i386.deb
treelang-3.3_3.3.2-0pre5_i386.deb
  to pool/main/g/gcc-3.3/treelang-3.3_3.3.2-0pre5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 202762@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-3.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  5 Oct 2003 19:53:49 +0200
Source: gcc-3.3
Binary: g77-3.3 gnat-3.3 libffi2 lib64stdc++5 protoize gpc-2.1-3.3 gpc-2.1-3.3-doc lib64gnat3.15 libobjc1 gcc-3.3-doc lib64g2c0 fixincludes libgcj4 libgcj4-dev g77-3.3-doc gcc-3.3-nof libgcj-common libstdc++5-3.3-pic libg2c0 gij-3.3 gcc-3.3 libstdc++5-3.3-dev lib64objc1 libstdc++5 gcj-3.3 cpp-3.3-doc libgnat3.15 lib64gcj4 lib64ffi2 fastjar libffi2-dev libgcc1 cpp-3.3 gcc-3.3-soft-float gcc-3.3-base g++-3.3 libstdc++5-3.3-dbg treelang-3.3 lib64gcc1 gnat-3.3-doc gobjc-3.3 libstdc++5-3.3-doc libg2c0-dev
Architecture: source i386 all
Version: 1:3.3.2ds3-0pre5
Distribution: unstable
Urgency: low
Maintainer: Debian GCC maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-3.3    - The GNU C preprocessor
 cpp-3.3-doc - Documentation for the GNU C preprocessor (cpp)
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-3.3    - The GNU C++ compiler
 g77-3.3    - The GNU Fortran 77 compiler
 g77-3.3-doc - Documentation for the GNU Fortran compiler (g77)
 gcc-3.3    - The GNU C compiler
 gcc-3.3-base - The GNU Compiler Collection (base package)
 gcc-3.3-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
 gcj-3.3    - The GNU compiler for Java(TM)
 gij-3.3    - The GNU Java bytecode interpreter
 gnat-3.3   - The GNU Ada compiler
 gnat-3.3-doc - Documentation for the GNU Ada compiler (gnat)
 gobjc-3.3  - The GNU Objective-C compiler
 gpc-2.1-3.3 - The GNU Pascal compiler
 gpc-2.1-3.3-doc - Documentation for the GNU Pascal compiler (gpc)
 libffi2    - Foreign Function Interface library runtime
 libffi2-dev - Foreign Function Interface library development
 libg2c0    - Runtime library for GNU Fortran 77 applications
 libgcc1    - GCC support library
 libgcj-common - Java runtime library (common files)
 libgcj4    - Java runtime library for use with gcj
 libgcj4-dev - Java development headers and static library for use with gcj
 libobjc1   - Runtime library for GNU Objective-C applications
 libstdc++5 - The GNU Standard C++ Library v3
 libstdc++5-3.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++5-3.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++5-3.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++5-3.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-3.3 - The GNU Treelang compiler
Closes: 202762 207564 209386 210478 210482 211054 211909 212406 212912
Changes: 
 gcc-3.3 (1:3.3.2ds3-0pre5) unstable; urgency=low
 .
   * Update to gcc-3.3.2 CVS 20031005.
     - Fixes cpp inserting a spurious newline (closes: #210478, #210482).
     - Fixes generation of unrecognizable insn compiling kernel source
       on alpha (closes: #202762).
     - Fixes ICE in add_abstract_origin_attribute (closes: #212406).
     - Fixes forward declaration in libstdc++ (closes: #209386).
     - Fixes ICE in in extract_insn, at recog.c on alpha (closes: #207564).
   * Make libgcj-common architecture all (closes: #211909).
   * Build depend on: flex-old | flex (<< 2.5.31).
   * Fix spec linking libraries with -pthread on powerpc (closes: #211054).
   * debian/patches/arm-gotoff.dpatch: fix two kinds of PIC lossage.
     (Phil Blundell)
   * debian/patches/arm-common.dpatch: fix excessive alignment of common
     blocks causing binutils testsuite failures.
     (Phil Blundell)
   * Update priorities in debian/control to match the archive.
     (Ryan Murray)
   * s390-nonlocal-goto patch added. Fixes some pascal testcase failures.
     (Gerhard Tonn)
   * On alpha-linux, make -mieee default and add -mieee-disable switch
     to turn default off (closes: #212912).
     (Tyson Whitehead)
   * Add gpc upstream patch for memory corruption fix.
Files: 
 67077be86e3ff0637378e5dc425ca08b 2463 devel standard gcc-3.3_3.3.2ds3-0pre5.dsc
 33a1bab54f8d562f11e921ad97a091d5 25427823 devel standard gcc-3.3_3.3.2ds3.orig.tar.gz
 6c1c6277d74168e262cae522af5ea8c6 2234607 devel standard gcc-3.3_3.3.2ds3-0pre5.diff.gz
 c4b02ab495d2619f6b51ad13348ef099 82936 doc optional cpp-3.3-doc_3.3.2-0pre5_all.deb
 e23b15aed742461110be8c69cb6d453a 3149844 doc optional libstdc++5-3.3-doc_3.3.2-0pre5_all.deb
 7441b6099410ec029ff8bb632240dd70 268964 doc optional g77-3.3-doc_3.3.2-0pre5_all.deb
 4f1434441de7da8c57ed43cd619edfd4 328518 doc optional gnat-3.3-doc_3.3.2-0pre5_all.deb
 445e499fdf1c1a5463b586a7223a8b9f 795226 doc optional gpc-2.1-3.3-doc_3.3.2.20030830-0pre5_all.deb
 8aecd26fbe667646173c45e0afc815a3 597438 doc optional gcc-3.3-doc_3.3.2-0pre5_all.deb
 9bb17031ccde66d6e21a537e83d5f868 142004 devel required gcc-3.3-base_3.3.2-0pre5_i386.deb
 25b3def3227e422225755a388d1db5d3 71528 libs required libgcc1_3.3.2-0pre5_i386.deb
 f3dcee899f94d9b4293e65e47b469ba8 1386584 interpreters standard cpp-3.3_3.3.2-0pre5_i386.deb
 8ef93360e2a1e329cbe57ae8df1b4c89 23224 devel optional protoize_3.3.2-0pre5_i386.deb
 350cce45aaa4547b8a4d4a7a7257d0f3 48020 devel optional fixincludes_3.3.2-0pre5_i386.deb
 80a517d58417c28fb95e83d38292c583 1463036 devel optional gobjc-3.3_3.3.2-0pre5_i386.deb
 4131c1c2fce0fa68295e31353f8c19bc 131028 libs optional libobjc1_3.3.2-0pre5_i386.deb
 24e996aa29ed51bd3b02779e88fc0eab 13048 devel optional gij-3.3_3.3.2-0pre5_i386.deb
 c300618cae54d705d9b56315d24b87d5 3979434 libs optional libgcj4_3.3.2-0pre5_i386.deb
 336ee2be0af021f931a6c33d56b02b19 56460 libs optional libgcj-common_3.3.2-0pre5_all.deb
 a8134dd9c68b1e849b5313956eef190d 1690226 devel optional gcj-3.3_3.3.2-0pre5_i386.deb
 282186cfd4415e9d0685d1f5cf5b5115 4727822 libdevel optional libgcj4-dev_3.3.2-0pre5_i386.deb
 0aa322d4ad4177d30594d3bfde4d55f4 108408 devel extra fastjar_3.3.2-0pre5_i386.deb
 dda46b9766c898936516905804523415 66974 libs optional libffi2_3.3.2-0pre5_i386.deb
 8647d50970109370602683745fc0ae8b 10854 libdevel optional libffi2-dev_3.3.2-0pre5_i386.deb
 207866c846081aaf43221f18cd526826 1767404 devel standard g++-3.3_3.3.2-0pre5_i386.deb
 37a5358951e58a33fb60dbc3e10acfaf 282554 base required libstdc++5_3.3.2-0pre5_i386.deb
 c39ab2a8dd450e3c871a35d9d3814401 766842 libdevel standard libstdc++5-3.3-dev_3.3.2-0pre5_i386.deb
 7036db510227a028ab1086c457b951c7 320980 libdevel extra libstdc++5-3.3-pic_3.3.2-0pre5_i386.deb
 bb09be3dfd4dcb3f9cfae8615e88fd41 5045264 libdevel extra libstdc++5-3.3-dbg_3.3.2-0pre5_i386.deb
 845104e0c8b16281836c179b870b74a4 50282 libs optional libg2c0_3.3.2-0pre5_i386.deb
 ed0adc54aeaab4d7c13e131685001242 1608070 devel optional g77-3.3_3.3.2-0pre5_i386.deb
 373686cfc5c5810c806c1a078ccb6b62 6272666 devel optional gnat-3.3_3.3.2-0pre5_i386.deb
 cacc8c0a22a5af9f75480ca32c9f7fb6 1284582 devel optional treelang-3.3_3.3.2-0pre5_i386.deb
 ddfd8c56dc5ae6b80f09e50f8c122513 1925540 devel optional gpc-2.1-3.3_3.3.2.20030830-0pre5_i386.deb
 85c948bb516187509c1ef0b2b076c60f 1312766 devel standard gcc-3.3_3.3.2-0pre5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/gP6iStlRaw+TLJwRAkNLAJ4zi64/2ubkc4/eRUV6ocWY4zSsHQCfTVmt
PjqCZ0kVeuVxJsLkIlEAZKE=
=9Luw
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:16:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.